Программа поддержки клиентов с помощью машинного обучения

Установка на Linux:

1. Откройте командную строку Linux
2. Установите Docker под суперпользователем:
    sudo apt install docker-ce
    
3. Откройте файл src/DB/info_databases.py
    1.Установите в двойных ковычках url c IP-адресом Вашего сервера для БД в 4 строке, графа "host".
    
4. Перейдите на два каталога выше:

cd ..
cd ..
    
4. Запустите Dockerfile:

docker build -t nginx:v3
docker run -id AI_support

5. Проследите, чтобы не было ошибок.

6. Запустите исполняемый файл train_models.py для тренировки моделей машинного обучения:

./train_models.py

    1.Введите путь данных в формате csv. Данные должны быть в формате по примеру: 
        фраза, категория, к которой она относится
    2.Введите параметры влияния, через запятую при запросе программы
    3.Введите целевые параметры, которые определяются параметрами влияния
    
    Например: целевой параметр - тип запроса человека, а параметр влияния - его речь
    
    Если всё прошло успешно переходите к следующему шагу, иначе обратитесь к разработчику.
    
7. Запустите программу в командной строке:

./main.py

   Или нажатием курсором мыши на данный файл в каталоге.

8. Введите url для телефонии и продолжите работу программы

Если всё прошло успешно можете применять данное ПО в реальных целях, иначе обратитесь к разработчику.
