from AI_support.src.telephony import SimpleCallApplication, call
import speech_recognition as sr
import psycopg2
from AI_support.src.DB.info_database import create_database
from AI_support.src.Speech_analysis.STT import speech_recognite
from AI_support.src.Speech_analysis.request_classification import request_categorizate, request_classificate
from AI_support.src.Speech_analysis.gpt_processing import gpt_process
from AI_support.src.Speech_analysis.TTS import synthese_speech

phrase1 = "Здравствуйте! Вас приветствует голосовой ассистент Помощник Губернатора. Продолжая этот диалог вы даете согласие на обработку персональных данных. Пожалуйста, опишите Вашу проблему максимально подробно."
phrase2 = "Спасибо за обращение. Теперь, пожалуйста, назовите город и адрес, по которому возникла описываемая вами проблема."
phrase3 = "Благодарю. Пожалуйста укажите номер телефона для обратной связи."
welcome_audio = synthese_speech(phrase1)
# place an audio call to the specified SIP URI in user@domain format
cursor, conn = create_database()
print("Enter your place an audio call to the specified SIP URI in user@domain format: ")
target_uri=input()
application = SimpleCallApplication()
application.call(target_uri)
print("Placing call to %s, press Enter to quit the program" % target_uri)
while True:
    _NH_SIPSessionDidStart(application)
    X_test, user_audio = speech_recognite()
    with open("user_req.wav", "wb") as fu1:
            fu1.write(user_audio.get_wav_data())
    fu1.close
    if X_test != 0:
        #req_class = request_classificate.test(X_test)
        #req_claster = request_categorizate.test(X_test)
        gpt_out = gpt_process(X_test)
        gpt_out_audio = synthese_speech(gpt_out)
        phrase2 = synthese_speech(phrase2)
        answer2, user_audio = speech_recognite()
        with open("user_q1.wav", "wb") as fu2:
            fu2.write(answer2.get_wav_data())
        fu2.close
        gpt_out_2 = gpt_process(answer2)
        gpt_out_audio_2 = synthese_speech(phrase2)
        phrase3 = synthese_speech(phrase3)
        answer3, user_audio = speech_recognite()
        with open("user_q2.wav", "wb") as fu3:
            fu3.write(answer3.get_wav_data())
        fu3.close
        gpt_out_3 = gpt_process(answer3)
        gpt_out_audio_3 = synthese_speech(phrase2)
        # write audio to a WAV file
        with open("gpt_ans1.wav", "wb") as fg1:
            fg1.write(gpt_out_audio.get_wav_data())
            
        with open("gpt_ans_2.wav", "wb") as fg2:
            fg2.write(gpt_out_audio_2.get_wav_data())
        
        with open("gpt_ans_3.wav", "wb") as fg3:
            fg3.write(gpt_out_audio_3.get_wav_data())
        
        fg1.close()
        fg2.close()
        fg3.close()
        sql = "INSERT INTO users_info (audio_user_req, text_user_req, audio_user1, audio_gpt1, audio_user2, audio_gpt2, audio_user3, audio_gpt3, req_clas, req_claster), VALUES(fu1, X_test, fu1, fg1, fu2, fg2, fu3, fg3, req_class, req_claster)"
        conn.autocommit = True
        #cursor.execute(sql)
        cursor.close()
        conn.close()
        print("Data added successfully and updated!")
        application.session.end()
        application.ended.wait() 
    else:
        print("You say nothing!")
        application.session.end()
        application.ended.wait() 
