# load all the functions
from voice_cloning.generation import *


def voice_cloning(audio, text):
    # provide a reference sound file, speech text and clone the voice
    sound_path = audio # support most of the sound formats
    speech_text = text

    generated_wav = speech_generator(
        voice_type = "western", # supports "indian" & "western"
        sound_path = sound_path, 
        speech_text=  speech_text
        )

    ## Play and save the sound with noise-reduction capabilities

    # play the generated sound
    play_sound(generated_wav)

    # save the file
    save_sound(generated_wav, filename="voice output", noise_reduction=True) # enable noise reduction 

def synthese_speech(text):
    speech_text = text
    # play the speaker sound and generate the voice
    play_library_sound(voice_type = "western", gender = "female", speaker_id = "speaker-3") 

    play_library_sound(voice_type = "indian", gender = "male", speaker_id = "speaker-1") # complete list available in the repo, 

    generated_wav = speech_generator(
        voice_type = "western", 
        gender = "male", 
        speaker_id = "speaker-4", 
        speech_text= speech_text
        )

    # play the generated sound & save the file
    play_sound(generated_wav)

    save_sound(generated_wav, filename="voice output", noise_reduction=True) # enable noise reduction
    return generated_wav
